/*
 * Navigation.h
 *
 *  Created on: 29/01/2013
 *      Author: felix
 */

#ifndef NAVIGATION_H_
#define NAVIGATION_H_
#include <nav_msgs/Odometry.h>
#include <ros/ros.h>
#include <stdio.h>
#include <tf/tf.h>
#include "tinyxml/tinyxml.h"
#include <tf/transform_listener.h>
#include "geometry_msgs/PoseWithCovarianceStamped.h"


using namespace std;
using namespace ros;
using namespace nav_msgs;

class Navigation {
public:
	Navigation();
	virtual ~Navigation();

public:
	double goal_y;
	double goal_x;
	double goal_thet;
	double pose_y;
	double pose_x;
	double pose_thet;
	double pose_orientation_y;
	double pose_orientation_x;
	double pose_orientation_z;
	int waypoin_inicio;
	int waypoin_meta;
	std::string rutaFicheroXMLWaypoins;

public:
	void getpose();
	void getwaypoins();
	bool trataArgumentos(ros::NodeHandle);


};

#endif /* NAVIGATION_H_ */

