#include <ros/ros.h>
#include "std_msgs/String.h"
#include <stdio.h>
#include <stdlib.h>
#include "tinyxml/tinyxml.h"
/****************************************************************************************************************************************************************************************/
void biuldDomainXml (){

	TiXmlDocument doc;
	TiXmlDeclaration * decl = new TiXmlDeclaration( "1.0", "", "" );

 	/*Dominio*/
	TiXmlElement * element = new TiXmlElement( "Domain" );





	doc.LinkEndChild( decl );

	doc.LinkEndChild( element );
	TiXmlText * text = new TiXmlText( "Pioneer3DX" );
        element->LinkEndChild( text );
	/*requisitos*/
	TiXmlElement * element1 = new TiXmlElement( "requirements" );  
        element->LinkEndChild( element1 );
	element1->SetAttribute( "Atriburo1", "typing" );
	/*tipos*/
	TiXmlElement * element2 = new TiXmlElement( "typing" );  
        element->LinkEndChild( element2 );  
	element2->SetAttribute( "Atriburo1", "Pioneer3DX" );
	element2->SetAttribute( "Atriburo2", "Waypoin" );
	/*Predicados*/

	/*Aciones*/
	TiXmlElement * element5 = new TiXmlElement( "action" );  
        element->LinkEndChild( element5 );
	element5->SetAttribute( "PositionX", 2);
	element5->SetAttribute( "PositionY", 2);
	
	for(unsigned int y = 0; y < 30; y++) {
		TiXmlElement * element5 = new TiXmlElement( "Waypoin");  
        element->LinkEndChild( element5 );
		element5->SetAttribute( "Nombre", y);
		element5->SetAttribute( "PositionX", y);
		element5->SetAttribute( "PositionY", y);
	}


	doc.SaveFile( "/home/felix/ros_workspace/proyecto/mapas/DomainMapaPDDL.xml" );
}


int main(int argc, char** argv){
	ros::init(argc, argv, "BuildDomain");
	

 	biuldDomainXml();

	
}
